Page MenuHomePhabricator

csharp: Fix build and doc generation re beta stuff
ClosedPublic

Authored by lauromoura on Jul 9 2019, 12:25 PM.

Details

Summary

When skipping beta items, make sure generated documentation does not try
to refer to beta stuff using see tags. Doing so would lead to warnings
when generating the xml doc file and as we now treat warnings as errors,
compilation would fail.

Instead of see tags, use a simple span with a suffix text explaining
said item is beta.

Diff Detail

Repository
rEFL core/efl
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12096
Build 8879: arc lint + arc unit
lauromoura created this revision.Jul 9 2019, 12:25 PM
lauromoura requested review of this revision.Jul 9 2019, 12:25 PM
lauromoura added a project: Restricted Project.Jul 9 2019, 12:26 PM
segfaultxavi requested changes to this revision.Jul 10 2019, 3:16 AM

Works fine, just that typo.

src/bin/eolian_mono/eolian/mono/documentation.hh
14

still

This revision now requires changes to proceed.Jul 10 2019, 3:16 AM
lauromoura updated this revision to Diff 23178.Jul 10 2019, 6:07 AM

Update after doc cop ticket.

lauromoura marked an inline comment as done.Jul 10 2019, 6:14 AM
segfaultxavi accepted this revision.Jul 10 2019, 6:19 AM
This revision is now accepted and ready to land.Jul 10 2019, 6:19 AM
vitor.sousa requested changes to this revision.Jul 10 2019, 4:10 PM
vitor.sousa added inline comments.
src/bin/eolian_mono/eolian/mono/documentation.hh
14

Should be const.

This revision now requires changes to proceed.Jul 10 2019, 4:10 PM
lauromoura updated this revision to Diff 23229.Jul 10 2019, 8:17 PM

Constant is finally, well, constant :)

lauromoura marked an inline comment as done.Jul 10 2019, 8:17 PM
segfaultxavi accepted this revision.Jul 11 2019, 1:18 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 11 2019, 1:27 AM
This revision was automatically updated to reflect the committed changes.